local C = {}

--
-- message constants
--
C.MSG_CLEAR_COLOR =         hash("clear_color")
C.MSG_WINDOW_RESIZED =      hash("window_resized")
C.MSG_SET_VIEW_PROJ =       hash("set_view_projection")
C.MSG_USE_CAMERA_PROJ =     hash("use_camera_projection")
C.MSG_USE_STRETCH_PROJ =    hash("use_stretch_projection")
C.MSG_USE_FIXED_PROJ =      hash("use_fixed_projection")
C.MSG_USE_FIXED_FIT_PROJ =  hash("use_fixed_fit_projection")

C.DEFAULT_NEAR = -1
C.DEFAULT_FAR =   1
C.DEFAULT_ZOOM =  1

C.IDENTITY_MATRIX = vmath.matrix4()

return C